# Uses of Interface
java.lang.classfile.constantpool.ModuleEntry

Packages that use ModuleEntry
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of ModuleEntry in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return ModuleEntry
Modifier and Type
Method
Description
`ModuleEntry`
ModuleAttribute.`moduleName()`
Returns the name of the module.
`ModuleEntry`
ModuleHashInfo.`moduleName()`
Returns the name of the related module.
`ModuleEntry`
ModuleRequireInfo.`requires()`
Returns The module on which the current module depends.
Methods in java.lang.classfile.attribute that return types with arguments of type ModuleEntry
Modifier and Type
Method
Description
`List<ModuleEntry>`
ModuleExportInfo.`exportsTo()`
Returns the list of modules to which this package is exported, or empty if this is an unqualified export.
`List<ModuleEntry>`
ModuleOpenInfo.`opensTo()`
Returns the modules to which this package is opened, or empty if this is an unqualified open.
Methods in java.lang.classfile.attribute with parameters of type ModuleEntry
Modifier and Type
Method
Description
`static ModuleAttribute`
ModuleAttribute.`of(ModuleEntry moduleName, int moduleFlags, Utf8Entry moduleVersion, Collection<ModuleRequireInfo> requires, Collection<ModuleExportInfo> exports, Collection<ModuleOpenInfo> opens, Collection<ClassEntry> uses, Collection<ModuleProvideInfo> provides)`
Returns a `Module` attribute.
`static ModuleAttribute`
ModuleAttribute.`of(ModuleEntry moduleName, Consumer<ModuleAttribute.ModuleAttributeBuilder> attrHandler)`
Returns a `Module` attribute.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, int exportFlags, ModuleEntry... exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, Collection<AccessFlag> exportFlags, ModuleEntry... exportsTo)`
Returns a module export description.
`static ModuleHashInfo`
ModuleHashInfo.`of(ModuleEntry moduleName, byte[] hash)`
Returns a module hash description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, int opensFlags, ModuleEntry... opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, Collection<AccessFlag> opensFlags, ModuleEntry... opensTo)`
Returns a module open description.
`static ModuleRequireInfo`
ModuleRequireInfo.`of(ModuleEntry requires, int requiresFlags, Utf8Entry requiresVersion)`
Returns a module requirement description.
`static ModuleRequireInfo`
ModuleRequireInfo.`of(ModuleEntry requires, Collection<AccessFlag> requiresFlags, Utf8Entry requiresVersion)`
Returns a module requirement description.
Method parameters in java.lang.classfile.attribute with type arguments of type ModuleEntry
Modifier and Type
Method
Description
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, int exportFlags, List<ModuleEntry> exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, Collection<AccessFlag> exportFlags, List<ModuleEntry> exportsTo)`
Returns a module export description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, int opensFlags, List<ModuleEntry> opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, Collection<AccessFlag> opensFlags, List<ModuleEntry> opensTo)`
Returns a module open description.

## Uses of ModuleEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return ModuleEntry
Modifier and Type
Method
Description
`ModuleEntry`
ConstantPoolBuilder.`moduleEntry(Utf8Entry moduleName)`
Returns a `ModuleEntry` referring to the provided `Utf8Entry`.
`default ModuleEntry`
ConstantPoolBuilder.`moduleEntry(ModuleDesc moduleDesc)`
Returns a `ModuleEntry` describing the same module as the provided `ModuleDesc`.